PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_Alloc_Workspace_sgetrf_incpiv_Tile | ( | int | N,
|  | PLASMA_desc ** | descL,
|  | int ** | IPIV
| ) |  |

PLASMA_Alloc_Workspace_sgetrf_incpiv_Tile - Allocates workspace for PLASMA_sgesv_incpiv_Tile or PLASMA_sgesv_incpiv_Tile_Async routines.

Parameters

  [in] | N | The number of linear equations, i.e., the order of the matrix A. N >= 0.
  [out] | descL | On exit, PLASMA descriptor on workspace handle for storage of the extra L factors required by the tile LU factorization.
  [out] | IPIV | On exit, workspace handle for storage of pivot indexes required by the tile LU factorization (not equivalent to LAPACK).

Returns

Return values

  PLASMA_SUCCESS | successful exit